-- phpMyAdmin SQL Dump
-- version 2.11.0-rc2
-- http://www.phpmyadmin.net
--
-- Servidor: localhost:3306
-- Tiempo de generacin: 19-01-2008 a las 14:00:34
-- Versin del servidor: 5.0.51
-- Versin de PHP: 5.2.4-2+b1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

--
-- Base de datos: `tiendagest2`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sqlestadisticas`
--

CREATE TABLE `sqlestadisticas` (
  `ID` int(16) NOT NULL default '0',
  `Fecha` date NOT NULL default '0000-00-00',
  `TotalVendido` float NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sqlestadisticasbeneficios`
--

CREATE TABLE `sqlestadisticasbeneficios` (
  `ID` int(16) NOT NULL default '0',
  `Fecha` date NOT NULL default '0000-00-00',
  `TotalVendido` double NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sqlestadisticasderrama`
--

CREATE TABLE `sqlestadisticasderrama` (
  `ID` int(16) NOT NULL default '0',
  `Fecha` date NOT NULL default '0000-00-00',
  `TotalVendido` double NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sqltotalbeneficios`
--

CREATE TABLE `sqltotalbeneficios` (
  `CodFormaPago` int(16) NOT NULL default '0',
  `IDVenta` int(16) NOT NULL default '0',
  `TotalVenta` double NOT NULL default '0',
  PRIMARY KEY  (`IDVenta`),
  UNIQUE KEY `IDVenta` (`IDVenta`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sqltotalcompra`
--

CREATE TABLE `sqltotalcompra` (
  `TotalCompra` float NOT NULL default '0',
  `IDCompra` int(16) NOT NULL default '0',
  `IDProveedor` int(16) NOT NULL default '0',
  `Fecha` date NOT NULL,
  PRIMARY KEY  (`IDCompra`),
  UNIQUE KEY `IDVenta` (`IDCompra`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sqltotalderrama`
--

CREATE TABLE `sqltotalderrama` (
  `CodFormaPago` int(16) NOT NULL default '0',
  `IDVenta` int(16) NOT NULL default '0',
  `TotalVenta` float NOT NULL default '0',
  PRIMARY KEY  (`IDVenta`),
  UNIQUE KEY `IDVenta` (`IDVenta`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `sqltotalventa`
--

CREATE TABLE `sqltotalventa` (
  `CodFormaPago` int(16) NOT NULL default '0',
  `IDVenta` int(16) NOT NULL default '0',
  `TotalVenta` float NOT NULL default '0',
  PRIMARY KEY  (`IDVenta`),
  UNIQUE KEY `IDVenta` (`IDVenta`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbalbaran`
--

CREATE TABLE `tbalbaran` (
  `ID` int(16) NOT NULL auto_increment,
  `CodAlbaran` int(16) NOT NULL default '0',
  `Nombre` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbarticulos`
--

CREATE TABLE `tbarticulos` (
  `ID` int(16) NOT NULL auto_increment,
  `CodArticulo` varchar(50) NOT NULL default '',
  `Descripcion` varchar(200) NOT NULL default '',
  `PMC` double NOT NULL default '0',
  `PVP` double NOT NULL default '0',
  `Existencias` int(10) NOT NULL default '0',
  `Porcentaje` double NOT NULL default '0',
  `Observaciones` tinytext NOT NULL,
  `Desactivado` tinyint(1) NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbavisos`
--

CREATE TABLE `tbavisos` (
  `ID` int(16) NOT NULL auto_increment,
  `Fecha` date NOT NULL,
  `Aviso` varchar(150) NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbclientes`
--

CREATE TABLE `tbclientes` (
  `ID` int(16) NOT NULL auto_increment,
  `CodCliente` int(16) NOT NULL default '0',
  `Nombre` tinytext NOT NULL,
  `Descuento` int(5) NOT NULL default '0',
  `Preferencias` varchar(50) NOT NULL default '',
  `NIF` varchar(50) NOT NULL default '',
  `Email` varchar(100) NOT NULL default '',
  `Profesion` varchar(50) NOT NULL default '',
  `Web` varchar(50) NOT NULL default '',
  `Tel1` varchar(50) NOT NULL default '',
  `Tel2` varchar(50) NOT NULL default '',
  `Fax` varchar(50) NOT NULL default '',
  `Direccion` tinytext NOT NULL,
  `Comentario` tinytext NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbcompra`
--

CREATE TABLE `tbcompra` (
  `ID` int(16) NOT NULL auto_increment,
  `IDAlbaran` int(16) NOT NULL default '0',
  `Fecha` date NOT NULL default '0000-00-00',
  `FAlbaran` date NOT NULL default '0000-00-00',
  `FVencimiento` date NOT NULL default '0000-00-00',
  `NumeroAlbaran` varchar(100) NOT NULL default '',
  `TipoPorcentaje` tinyint(5) NOT NULL default '0',
  `IDProveedor` int(16) NOT NULL default '0',
  `Observaciones` tinytext NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbdetallecompra`
--

CREATE TABLE `tbdetallecompra` (
  `ID` int(16) NOT NULL auto_increment,
  `IDArticulo` int(16) NOT NULL default '0',
  `IDCompra` int(16) NOT NULL default '0',
  `Fecha` date NOT NULL default '0000-00-00',
  `Unidades` int(5) NOT NULL default '0',
  `PrecioCosto` float NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbdetalledevolucion`
--

CREATE TABLE `tbdetalledevolucion` (
  `ID` int(16) NOT NULL auto_increment,
  `IDArticulo` int(16) NOT NULL default '0',
  `IDDevolucion` int(16) NOT NULL default '0',
  `Fecha` date NOT NULL default '0000-00-00',
  `Unidades` int(5) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbdetalleproforma`
--

CREATE TABLE `tbdetalleproforma` (
  `ID` int(16) NOT NULL auto_increment,
  `IDArticulo` int(16) NOT NULL default '0',
  `IDProforma` int(16) NOT NULL default '0',
  `Fecha` date NOT NULL default '0000-00-00',
  `Unidades` int(5) NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbdetalleventa`
--

CREATE TABLE `tbdetalleventa` (
  `ID` int(16) NOT NULL auto_increment,
  `IDVenta` int(16) NOT NULL default '0',
  `IDArticulo` int(16) NOT NULL default '0',
  `Unidades` int(5) NOT NULL default '0',
  `Fecha` datetime NOT NULL default '0000-00-00 00:00:00',
  `PVP` float NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbdevolucion`
--

CREATE TABLE `tbdevolucion` (
  `ID` int(16) NOT NULL auto_increment,
  `Fecha` date NOT NULL default '0000-00-00',
  `IDProveedor` int(16) NOT NULL default '0',
  `Observaciones` tinytext NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbformapago`
--

CREATE TABLE `tbformapago` (
  `ID` int(16) NOT NULL auto_increment,
  `CodFormaPago` int(16) NOT NULL default '0',
  `Nombre` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------
--
-- Estructura de tabla para la tabla `tbproforma`
--

CREATE TABLE `tbproforma` (
  `ID` int(16) NOT NULL auto_increment,
  `Fecha` date NOT NULL default '0000-00-00',
  `IDCliente` int(16) NOT NULL default '0',
  `Observaciones` tinytext NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbproveedores`
--

CREATE TABLE `tbproveedores` (
  `ID` int(16) NOT NULL auto_increment,
  `CodProveedor` int(16) NOT NULL default '0',
  `Empresa` varchar(100) NOT NULL default '',
  `Nombre` varchar(100) NOT NULL default '',
  `Horario` varchar(50) NOT NULL default '',
  `NIF` varchar(50) NOT NULL default '',
  `Email` varchar(100) NOT NULL default '',
  `Web` varchar(50) NOT NULL default '',
  `Tel1` varchar(50) NOT NULL default '',
  `Tel2` varchar(50) NOT NULL default '',
  `Fax` varchar(50) NOT NULL default '',
  `Direccion` tinytext NOT NULL,
  `Comentario` tinytext NOT NULL,
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `tbventas`
--

CREATE TABLE `tbventas` (
  `ID` int(16) NOT NULL auto_increment,
  `CodFacAnio` int(10) NOT NULL default '0',
  `CodFacNum` int(16) NOT NULL default '0',
  `Fecha` datetime NOT NULL default '0000-00-00 00:00:00',
  `IDFormaPago` int(16) NOT NULL default '0',
  `IDCliente` int(16) NOT NULL default '0',
  `Impuesto` float NOT NULL default '0',
  `ImpAplicado` tinyint(1) NOT NULL default '0',
  `Descuento` int(5) NOT NULL default '0',
  `Observaciones` tinytext NOT NULL,
  `Entregado` float NOT NULL default '0',
  `Devolucion` float NOT NULL default '0',
  PRIMARY KEY  (`ID`),
  UNIQUE KEY `ID` (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
